Remove support for non-ELF BSD systems

Enterprise / PostgreSQL - Peter Eisentraut [eisentraut.org] - 1 July 2019 22:56 EDT

This is long obsolete.

Discussion: https://www.postgresql.org/message-id/8eacdc0d-123f-dbca-bacf-0a68766a4889@2ndquadrant.com

c72f9b9502 Remove support for non-ELF BSD systems
configure | 299 ++++++++++++++++++-----------------------
configure.in | 24 ----
src/Makefile.global.in | 4 -
src/Makefile.shlib | 71 ++++------
src/makefiles/Makefile.freebsd | 12 --
src/makefiles/Makefile.netbsd | 14 --
src/makefiles/Makefile.openbsd | 12 --
7 files changed, 161 insertions(+), 275 deletions(-)

Upstream: git.postgresql.org


  • Share